<?php
if (!class_exists('System')) exit; // Запрет прямого доступа

$MyCodeMirrorStorage = new EngineStorage('module.my.code.mirror');

$list_ch = $MyCodeMirrorStorage->get('list_ch');

$customize_from = $MyCodeMirrorStorage->get('customize_from');
$checked1 = ($customize_from == '1')?' checked':'';

$line_numbers = $MyCodeMirrorStorage->get('line_numbers');
$checked2 = ($line_numbers == 'true')?' checked':'';

$line_wrapping = $MyCodeMirrorStorage->get('line_wrapping');
$checked3 = ($line_wrapping == 'true')?' checked':'';


if($act=='index'){
	echo'<div class="header">
	    <h1>Настройки
		
			   <span style="float:left; padding-right:20px; margin-top:-7px;">
				<form action="https://money.yandex.ru/to/410012986152433" target="_blank">
				 <button type="submit"><img src="../modules/'.$MODULE.'/img.png" style="vertical-align: middle">&nbsp;&nbsp;Поддержать!</button>
				</form>
			   </span>

		</h1>
		</div>
	<div class="menu_page"><a href="index.php">&#8592; Вернуться назад</a></div>
	<div class="content">
	<form name="forma" action="module.php?module='.$MODULE.'" method="post">
	<INPUT TYPE="hidden" NAME="act" VALUE="add">
	<p>
	Редактор кода с подсветкой синтаксиса. Подключается ко всем полям &lt;TEXTAREA> в админке. <br>
    <span class="comment"> 	
	Клавиша F11 - полноэкранный режим, Еsc - выход. <br>
	</span>
	Установка: <br>
	<span class="comment"> 
	1. Перед тегом &lt;/head> в файле /admin/include/start.dat <br> 
    Вставьте код: &lt;?php if ($Config->wysiwyg == "my_codemirror") { $libraries = "../modules/my_codemirror/libraries.dat"; if (file_exists($libraries)) { require($libraries); } } ?> <br> 
	2. Перед тегом &lt;/body> в файле /admin/include/end.dat <br> 
	Вставьте код: &lt;?php if ($Config->wysiwyg == "my_codemirror") { $initialization = "../modules/my_codemirror/initialization.dat"; if (file_exists($initialization)) { require($initialization); } } ?> <br> 
	3. В настройках движка выберете визуальный редактор: CodeMirror. <br> 
	После обновления движка на новую версию, пункты 1-2 нужно будет повторить. <br> 
	При удалении расширения удалите код, который Вы вставляли в пунктах 1-2.
	</span>
    </p> 	
	<table class="tblform">
	<tr>
		  <td>
		    Тема: 
		  </td>
		  
		  <td>';
		  
				if (!$list_ch) { $list_ch = 'default'; }
		  
            // получаем массив		  
			$list_arr = array('default', '3024-day', '3024-night', 'abcdef', 'ambiance', 'base16-dark', 'base16-light', 'bespin', 'blackboard', 'cobalt', 'colorforth', 'darcula', 'dracula', 'duotone-dark', 'duotone-light', 'eclipse', 'elegant', 'erlang-dark', 'gruvbox-dark', 'hopscotch', 'icecoder', 'idea', 'isotope', 'lesser-dark', 'liquibyte', 'lucario', 'material', 'mbo', 'mdn-like', 'midnight', 'monokai', 'neat', 'neo', 'night', 'oceanic-next', 'panda-syntax', 'paraiso-dark', 'paraiso-light', 'pastel-on-dark', 'railscasts', 'rubyblue', 'seti', 'shadowfox', 'solarized dark', 'solarized light', 'the-matrix', 'tomorrow-night-bright', 'tomorrow-night-eighties', 'ttcn', 'twilight', 'vibrant-ink', 'xq-dark', 'xq-light', 'yeti', 'zenburn');			
			
			for ( $i = 0, $count_list_arr = count($list_arr); $i < $count_list_arr; $i++ )
			{
			  if ($list_arr[$i] == $list_ch) // если совпадает с текущим элементом из настроек
			  { 
			    $tmp_list_arr = $list_arr[$i]; // записываем в переменную
                unset($list_arr[$i]); // удаляем из массива
			  }
			}
			array_unshift($list_arr, $tmp_list_arr); // добавляем в массив первым элементом
			
		    echo'
		    <select name="list_ch">';
            foreach ($list_arr as $key => $value) 
			{
               echo '<option value='.$list_arr[$key].'>'.$value.'</option>'; // выводим (первый элемент)
            }
		    echo'
            </select>
		  </td>
	</tr>
	<tr>
		<td>Подгонять высоту формы под количество строк:</td>
		<td class="middle"><input type="checkbox" name="customize_from" value="y" '.$checked1.'></td>
	</tr>
	<tr>
		<td>Показывать нумерацию строк:</td>
		<td class="middle"><input type="checkbox" name="line_numbers" value="y" '.$checked2.'></td>
	</tr>
	<tr>
		<td>Переносить строки:</td>
		<td class="middle"><input type="checkbox" name="line_wrapping" value="y" '.$checked3.'></td>
	</tr>
	<tr>
		<td>&nbsp;</td>
		<td><input type="submit" name="" value="Сохранить"></td>
	</tr>
	</table>
	</form>
	</div>';
}

if($act=='add'){
	$MyCodeMirrorStorage->set('list_ch', $_POST['list_ch']);
	$MyCodeMirrorStorage->set('customize_from', ($_POST['customize_from'] == 'y'?'1':'0'));
	$MyCodeMirrorStorage->set('line_numbers', ($_POST['line_numbers'] == 'y'?'true':'false'));
	$MyCodeMirrorStorage->set('line_wrapping', ($_POST['line_wrapping'] == 'y'?'true':'false'));
	
	echo'<div class="msg">Настройки успешно сохранены</div>';
?>


<script type="text/javascript">
setTimeout('window.location.href = \'module.php?module=<?php echo $MODULE;?>\';', 3000);
</script>
<?php
}

?>